


     ppmtoicr(1)           AMIGA (30 July 1990)            ppmtoicr(1)



     NAME
          ppmtoicr - convert a portable pixmap into NCSA ICR format

     SYNOPSIS
          ppmtoicr [-windowname name] [-expand expand] [-display
          display] [-rle] [ppmfile]

     DESCRIPTION
          Reads a portable pixmap file as input.  Produces an NCSA
          Telnet Interactive Color Raster graphic file as output.  If
          ppmfile is not supplied, ppmtoicr will read from standard
          input.

          Interactive Color Raster (ICR) is a protocol for displaying
          raster graphics on workstation screens. The protocol is
          implemented in NCSA Telnet for the Macintosh version 2.3.
          The ICR protocol shares characteristics of the Tektronix
          graphics terminal emulation protocol.  For example, escape
          sequences are used to control the display.

          ppmtoicr will output the appropriate sequences to create a
          window of the dimensions of the input pixmap, create a
          colormap of up to 256 colors on the display, then load the
          picture data into the window.

          Note that there is no icrtoppm tool - this transformation is
          one way.

     OPTIONS
          -windownamename
                        Output will be displayed in name (Default is
                        to use ppmfile or "untitled" if standard input
                        is read.)

          -expandexpand Output will be expanded on display by factor
                        expand (For example, a value of 2 will cause
                        four pixels to be displayed for every input
                        pixel.)

          -displaydisplay
                        Output will be displayed on screen numbered
                        display

          -rle          Use run-length encoded format for display.
                        (This will nearly always result in a quicker
                        display, but may skew the colormap.)

     EXAMPLES
          To display a ppm file using the protocol:
              ppmtoicr ppmfile
          This will create a window named ppmfile on the display with
          the correct dimensions for ppmfile, create and download a



     Page 1                                         (printed 10/19/91)






     ppmtoicr(1)           AMIGA (30 July 1990)            ppmtoicr(1)



          colormap of up to 256 colors, and download the picture into
          the window. The same effect may be achieved by the following
          sequence:
              ppmtoicr ppmfile > filename
              cat filename
          To display a GIF file using the protocol in a window titled
          after the input file, zoom the displayed image by a factor
          of 2, and run-length encode the data:
              giftoppm giffile | ppmtoicr -w giffile -r -e 2

     BUGS
          The protocol uses frequent fflush calls to speed up display.
          If the output is saved to a file for later display via cat,
          drawing will be much slower. In either case, increasing the
          Blocksize limit on the display will speed up transmission
          substantially.

     SEE ALSO
          ppm(5)

          NCSA Telnet for the Macintosh, University of Illinois at
          Urbana-Champaign (1989)

     AUTHOR
          Copyright (C) 1990 by Kanthan Pillay
          (svpillay@Princeton.EDU), Princeton University Computing and
          Information Technology.




























     Page 2                                         (printed 10/19/91)



